/* 
 * Thomas Pantzer: t_resistor.h, v0.1b  8.11.98 0:58 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */



#ifndef _T_RESISTOR_H
#define _T_RESISTOR_H


#include "t_drawgrp.h"
#include "t_rectangle.h"

class t_resistor : public t_drawgrp {

public:
   char identifier[256];
   double value;
   
   void Init(t_colormap *, class t_vector2d *, char *, double );
   
   virtual void Draw(void);
   virtual void Show(void);
   virtual void Hide(void);
   
//   virtual void MoveRel(t_vector2d *p);
};


#endif
