#ifndef FD_xfscan_h_
#define FD_xfscan_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void button_cb(FL_OBJECT *, long);
extern void choice_cb(FL_OBJECT *, long);
extern int preemptive_handler(FL_OBJECT *ob, int event,
         FL_Coord mx, FL_Coord my, int key, void *xev);         

//extern int idle_cb(XEvent *,void *);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *xfscan;
	FL_OBJECT *exit_bt;
	FL_OBJECT *matrix_ch;
	FL_OBJECT *dpi_ch;
        FL_OBJECT *mode_mnu;

	FL_OBJECT *start_bt;
	FL_OBJECT *stripe_bt;
	FL_OBJECT *raise_bt;
	FL_OBJECT *edit_bt;

//	FL_OBJECT *browser_bt;
	FL_OBJECT *save_bt;

	FL_OBJECT *turn_bt;
	FL_OBJECT *mirror_bt;
	FL_OBJECT *cut_bt;
	FL_OBJECT *textbox;
	FL_OBJECT *sizebox;
//	FL_OBJECT *font_ch;
	void *vdata;
	long ldata;
} FD_xfscan;

extern FD_xfscan * create_form_xfscan(void);

#ifdef MAIN_G
   FD_xfscan *fd_xfscan;
#else
   extern FD_xfscan *fd_xfscan;
#endif

#endif /* FD_xfscan_h_ */
