/* 
 * Thomas Pantzer: t_cursor.h, v0.1b  8.11.98 0:58 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */



#ifndef _CURSOR_H
#define _CURSOR_H


#include "t_drawobj.h"
#include "t_line.h"
#include "t_drawgrp.h"

class t_cursor : public t_drawgrp {
public:
   int len;
      
   void Init(t_colormap *, t_vector2d *, t_drawobj *, int l, int wi);
   virtual void Anchor(t_vector2d *);
   
   virtual double Distance(t_vector2d *);
   virtual void Done(void);
   virtual void Opaque(char b);
   virtual void Select(char b);
};




#endif
