/* 
 * Thomas Pantzer: t_drawgrp.h, v0.1b  8.11.98 0:58 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */



#ifndef _DRAWGRP_H
#define _DRAWGRP_H

#include "t_drawobj.h"


class t_drawgrp : public t_drawobj {
public:
   t_drawobj *first;
   int count;

//    void AnchorInit();
   void Init(t_colormap *, t_vector2d *, t_drawobj *, int lw);
   
   void Add(t_drawobj *p);
   void Remove(t_drawobj *p);

   virtual void AnchorAdd(t_vector2d *);
   virtual void Draw(color_type ct);
//   virtual void Show(void);
//   virtual void Hide(void);
//   virtual void MoveRel(t_vector2d *vr);
   virtual void Rotate(t_vector2d *M, t_vector2d &CSR);
   virtual void SaveTo(int fd); 
   virtual void SaveMeToo(int fd);

//   virtual t_vector2d *UL_Corner(void);
//   virtual t_vector2d *LR_Corner(void);
   
//   virtual void SetSelected(void);          	      	 // all
   virtual void Select(char b);          	      	 // all
//   void SetSelected(char b, class t_drawobj *);   // object
//   virtual void SetOpaque(void);          	      	 // all
   virtual void Opaque(char b);          	      	 // all
//   void SetOpaque(char b, class t_drawobj *);     // object
   
//private:
   virtual void NewAnchor(void);   
};



#endif
